---
title: Examples
slug: Games/Examples
tags:
  - Demos
  - Example
  - Games
  - Web
---
<div>{{GamesSidebar}}</div>

<p class="summary"><span class="seoSummary">This page lists a number of impressive web technology demos for you to get inspiration from, and generally have fun with. A testament to what can be done with JavaScript, WebGL, and related technologies.</span> The first two sections list playable games, while the second is a catch-all area to list demos that aren't necessarily interactive/games.</p>

<div class="topicpage-table">
<div class="section">
<h2 id="Freedemo_games">Free/demo games</h2>

<dl>
 <dt><a href="http://www.beloola.com">Beloola</a></dt>
 <dd>WebVR platform to connect passionate people. Experience both available on 2D screens and on VR HMDs (<em>Settings / Switch to VR mode</em>).</dd>
 <dt><a href="http://playcanv.as/p/aP0oxhUr">Tanx</a></dt>
 <dd>A multiplayer tank battle game, created with <a href="https://playcanvas.com/">PlayCanvas</a>.</dd>
 <dt><a href="https://robertsspaceindustries.com/comm-link/transmission/14704-Hyper-Vanguard-Force">Hyper Vanguard Force</a></dt>
 <dd>A neat vertically scrolling space shooter.</dd>
 <dt><a href="http://playcanv.as/p/JtL2iqIH">Swooop</a></dt>
 <dd>A plane flying game: control your plane and collect the jewels. Again, created with <a href="https://playcanvas.com/">PlayCanvas</a>.</dd>
 <dt><a href="https://ga.me/games/save-the-day">Save the Day</a></dt>
 <dd>Fly your rescue chopper around the disaster area and save the stranded victims (ga.me.)</dd>
 <dt><a href="https://ga.me/games/polycraft">Polycraft</a></dt>
 <dd>A shipwreck 'n survive game. Explore the island and defeat the monsters.</dd>
 <dt><a href="http://hexgl.bkcore.com/">HexGL</a></dt>
 <dd>A fast-paced, futuristic racing game.</dd>
 <dt><a href="http://beta.unity3d.com/jonas/DT2/">Dead Trigger 2</a></dt>
 <dd>Classic zombie splatter action, made with <a href="http://unity3d.com/">Unity3D</a>.</dd>
 <dt><a href="http://beta.unity3d.com/jonas/AngryBots/">Angry Bots</a></dt>
 <dd>A futuristic Aliens-esque isometric 3rd person shooter demo, made with <a href="http://unity3d.com/">Unity3D</a>.</dd>
 <dt><a href="http://sandbox.photonstorm.com/html5/nutmeg/">Nutmeg</a></dt>
 <dd>Cute retro scrolling platforming action.</dd>
 <dt><a href="http://www.zibbo.com/game/match-3-games-top/back-to-candyland-episode-1">Back to Candyland</a></dt>
 <dd>A match-3 (Candy Crush) style game.</dd>
 <dt><a href="http://playbiolab.com/">Biolab Disaster</a></dt>
 <dd>Side-scrolling platform shooter.</dd>
 <dt><a href="http://phoboslab.org/xtype/">X-Type</a></dt>
 <dd>Vertically scrolling space shooter demo.</dd>
 <dt><a href="http://phoboslab.org/xibalba/">Xibalba</a></dt>
 <dd>Retro (Doom-style) first person shooter.</dd>
 <dt><a href="https://timeinvariant.github.io/gorescript/play/">Gorescript</a></dt>
 <dd>Another retro style first person shooter.</dd>
 <dt><a href="http://hypnoticowl.com/games/the-wizard/">The Wizard</a></dt>
 <dd>A turn-based, dungeon puzzle game.</dd>
 <dt><a href="http://hextris.io/">Hextris</a></dt>
 <dd>Tetris-like hexagonal puzzle game.</dd>
 <dt><a href="https://gabrielecirulli.github.io/2048/">2048</a></dt>
 <dd>A sliding number tiles puzzle game.</dd>
 <dt><a href="/en-US/demos/detail/bananabread">BananaBread</a></dt>
 <dd>A multiplayer, 3D first-person shooter game developed using Emscripten, WebGL, and WebRTC.</dd>
 <dt><a href="https://hacks.mozilla.org/2013/12/monster-madness-creating-games-on-the-web-with-emscripten/">Monster Madness</a></dt>
 <dd>A WebGL and asm.js-based multiplayer online shooter, developed by Nom Nom Games and Trendy entertainment.</dd>
 <dt><a href="http://www.auraluxgame.com/game/">Auralux</a></dt>
 <dd>WebGL and asm.js-based strategy game: capture all the suns to win!</dd>
 <dt><a href="http://browserquest.mozilla.org/">BrowserQuest</a></dt>
 <dd>A MMORPG created by the Little Workshop and Mozilla.</dd>
 <dt><a href="https://arcade.ly/games/asteroids/">Shoot The Rocks</a></dt>
 <dd>A canvas 2D single-player shooter in the style of Atari's classic Asteroids arcade game from 1979.</dd>
 <dt><a href="https://arcade.ly/games/starcastle/">Star Citadel</a></dt>
 <dd>A new take on Star Castle, Cinematronics' classic 1980 arcade game, built with canvas 2D.</dd>
 <dt><a href="https://maximumroulette.com/applications/visual-typescript-game-engine/single-player/app.html">Classic Platformer </a></dt>
 <dd>Canvas 2D game based on `Visual-ts game engine` - physics based on Matter.js </dd>
</dl>

<h2 id="Commercial_games">Commercial games</h2>

<dl>
 <dt><a href="http://oortonline.com/">Oort Online</a></dt>
 <dd>A MMO exploration, building, and battle game (currently in development.)</dd>
 <dt><a href="http://www.wizardslizard.com/">A Wizard's Lizard</a></dt>
 <dd>Top down Zelda-esque exploration/RPG.</dd>
 <dt><a href="http://qbqbqb.rezoner.net/">QbQbQb </a></dt>
 <dd>A sci-fi themed arcade puzzle game.</dd>
</dl>

<p><strong><a href="https://www.crazygames.com/game/bullet-force-multiplayer">Bullet Force</a></strong><br>
     3D multiplayer first-person shooter.</p>

<dl>
 <dt><a href="http://elliotquest.com/">Elliot Quest</a></dt>
 <dd>8-bit graphic retro adventure game.</dd>
 <dt><a href="https://data.mo.ee/index2.html">RPG MO</a></dt>
 <dd>Isometric MMORPG with similarities to RuneScape Classic and Ultima.</dd>
 <dt><a href="https://katan.io/">Katan.io</a></dt>
 <dd>HTML5 and canvas implementation of Settlers of Catan.</dd>
 <dt><a href="https://www.solitaireparadise.com/games_list/pyramid_solitaire_ancient_egypt.html">Pyramid Solitaire Ancient Egypt</a></dt>
 <dd>Pyramid solitaire app ported to WebAssembly with Emscripten</dd>
</dl>
</div>

<div class="section">
<h2 id="Assorted_demos">Assorted demos</h2>

<dl>
 <dt><a href="http://greweb.me/wavegl/">WaveGL</a></dt>
 <dd>WebGL visualizer for sound sources.</dd>
 <dt><a href="http://codepen.io/jackrugile/pen/CdKGx/">Canvas Airport Simulation</a></dt>
 <dd>Animated map showing planes taking off and landing at airports, along with flight path patterns.</dd>
 <dt><a href="http://alteredqualia.com/xg/examples/animation_physics_terrain.html">Animation Physics</a></dt>
 <dd>3D rendering of terrain and cars, using <a href="https://github.com/kripken/ammo.js">ammo.js</a> for the physics calculations.</dd>
 <dt><a href="http://david.li/flow/">Volumetric Particle Flow</a></dt>
 <dd>Physics simulation of flowing liquid.</dd>
 <dt><a href="http://codepen.io/artzub/pen/gszpJ/">Explosion and chain reaction</a></dt>
 <dd>Exploding particles that set off other explosions.</dd>
 <dt><a href="http://codepen.io/AshKyd/pen/sylFw">Canvas generated planet</a></dt>
 <dd>A planet with orbiting asteriod belt.</dd>
 <dt><a href="http://codepen.io/zadvorsky/pen/FAmuL">Digital Fireworks</a></dt>
 <dd>Animated firework effects rendered on canvas.</dd>
 <dt><a href="http://oos.moxiecode.com/js_webgl/autumn/">Autumn</a></dt>
 <dd>Falling autumn leaves, with light source shining through. Created using <a href="https://github.com/mrdoob/three.js">Three.js</a>.</dd>
 <dt><a href="http://inear.se/fireshader/">Fire walk with me</a></dt>
 <dd>Billowing fire cloud effect.</dd>
 <dt><a href="http://codepen.io/jackrugile/pen/AokpF">Rainbow Firestorm</a></dt>
 <dd>Rainbow-coloured particles, falling like rain, bouncing around on a terrain of orbs.</dd>
 <dt><a href="http://visualiser.fr/babylon/crowd/">Crowd Simulation</a></dt>
 <dd>Simulation of a bustling crowd of people all trying to reach their opposite positions.</dd>
 <dt><a href="http://codepen.io/noeldelgado/pen/ByxQjL">SVG Masking Experiment</a></dt>
 <dd>An Xray machine, creating using an SVG mask.</dd>
 <dt><a href="https://www.shadertoy.com/view/Ms2SD1">Realistic Water Simulation</a></dt>
 <dd>Flowing water, like the waves on the ocean.</dd>
 <dt><a href="http://www.haxor.xyz/demos/1.0/dungeon/">Dungeon demo</a></dt>
 <dd>Haxor-based dungeon scene with walkable character.</dd>
 <dt><a href="http://massiveassaultnetwork.com/html5/">Massive Assault tech demo</a></dt>
 <dd>Rendered archipelago with futuristic military vehicles.</dd>
 <dt><a href="https://callumprentice.github.io/apps/flight_stream/index.html">Flight Stream</a></dt>
 <dd>3D globe with simulated flight paths.</dd>
 <dt><a href="http://pixelscommander.com/polygon/htmlgl/demo/filters.html">WebGL filters</a></dt>
 <dd>Demo showing WebGL filters being used to add effects to HTML elements.</dd>
 <dt><a href="http://codepen.io/AshKyd/pen/zxmgzV">SVG isometic tiles</a></dt>
 <dd>Generating isometric tiles with SVG matricies.</dd>
 <dt><a href="https://jsfiddle.net/jetienne/rkth90c9/">ThreeJS App Player</a></dt>
 <dd>A player into which you can load and run Three.js examples.</dd>
</dl>
</div>
</div>
